Subject: bug#22324: 25.0.50; completion-category-defaults style doesn't override completion-styles (gets prepended instead)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 28 Jan 2022 04:37:36 +0200

On 26.01.2022 15:36, Stefan Monnier via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> We can probably have our cake and eat it too by adding a `fail`
> completion style.  Such a style would always take responsibility
> (i.e. would never return nil to delegate to subsequent styles), but
> would always return a "useless" value that gives no completions.

*If* we did end up adding such style, would the default value of 
completion-category-defaults include 'fail' at the end of its every line?